Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.rmi
Interface MAFFinder_RMI

All Superinterfaces:
  java.rmi.Remote

public interface MAFFinder_RMI
extends java.rmi.Remote

Method Summary
`java.lang.String[]` | `lookup_agent_system(Name agent_system_name, AgentSystemInfo agent_system_info)`
`java.lang.String[]` | `lookup_agent(Name agent_name, AgentProfile agent_profile)`
`java.lang.String[]` | `lookup_place(java.lang.String place_name)`
`void` | `register_agent_system(Name agent_system_name, java.lang.String agent_system_location, AgentSystemInfo agent_system_info)`
`void` | `register_agent(Name agent_name, java.lang.String agent_location, AgentProfile agent_profile)`
`void` | `register_place(java.lang.String place_name, java.lang.String place_location)`
`void` | `unregister_agent_system(Name agent_system_name)`
`void` | `unregister_agent(Name agent_name)`
`void` | `unregister_place(Name place_name)`

Method Detail

### lookup_agent

    public java.lang.String[] lookup_agent(Name agent_name,
                                           AgentProfile agent_profile)
                                    throws java.rmi.RemoteException,
                                           EntryNotFound

### lookup_agent_system

    public java.lang.String[] lookup_agent_system(Name agent_system_name,
                                                  AgentSystemInfo agent_system_info)
                                           throws java.rmi.RemoteException,
                                                  EntryNotFound

### lookup_place

    public java.lang.String[] lookup_place(java.lang.String place_name)
                                    throws java.rmi.RemoteException,
                                           EntryNotFound

### register_agent

    public void register_agent(Name agent_name,
                               java.lang.String agent_location,
                               AgentProfile agent_profile)
                        throws java.rmi.RemoteException,
                               NameInvalid

### register_agent_system

    public void register_agent_system(Name agent_system_name,
                                      java.lang.String agent_system_location,
                                      AgentSystemInfo agent_system_info)
                               throws java.rmi.RemoteException,
                                      NameInvalid

### register_place

    public void register_place(java.lang.String place_name,
                               java.lang.String place_location)
                        throws java.rmi.RemoteException,
                               NameInvalid

### unregister_agent

    public void unregister_agent(Name agent_name)
                          throws java.rmi.RemoteException,
                                 EntryNotFound

### unregister_agent_system

    public void unregister_agent_system(Name agent_system_name)
                                 throws java.rmi.RemoteException,
                                        EntryNotFound

### unregister_place

    public void unregister_place(Name place_name)
                          throws java.rmi.RemoteException,
                                 EntryNotFound

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD